import { E as u } from "./ExecutionEnvironment.mjs";
var i = u, a;
i.canUseDOM && (a = document.implementation && document.implementation.hasFeature && // always returns true in newer browsers as per the standard.
// @see http://dom.spec.whatwg.org/#dom-domimplementation-hasfeature
document.implementation.hasFeature("", "") !== !0);
/**
 * Checks if an event is supported in the current execution environment.
 *
 * NOTE: This will not work correctly for non-generic events such as `change`,
 * `reset`, `load`, `error`, and `select`.
 *
 * Borrows from Modernizr.
 *
 * @param {string} eventNameSuffix Event name, e.g. "click".
 * @param {?boolean} capture Check if the capture phase is supported.
 * @return {boolean} True if the event is supported.
 * @internal
 * @license Modernizr 3.0.0pre (Custom Build) | MIT
 */
function m(n, o) {
  if (!i.canUseDOM || o && !("addEventListener" in document))
    return !1;
  var t = "on" + n, e = t in document;
  if (!e) {
    var r = document.createElement("div");
    r.setAttribute(t, "return;"), e = typeof r[t] == "function";
  }
  return !e && a && n === "wheel" && (e = document.implementation.hasFeature("Events.wheel", "3.0")), e;
}
var c = m;
export {
  c as i
};
